Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.convert.support
Class ConversionServiceFactory

    java.lang.Object
      org.springframework.core.convert.support.ConversionServiceFactory

    public abstract class ConversionServiceFactory

extends java.lang.Object

A factory for common `ConversionService` configurations.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller, Chris Beams

Constructor Summary
`ConversionServiceFactory()`

Method Summary
`static void` | `addDefaultConverters(GenericConversionService conversionService)` Deprecated. in Spring 3.1 in favor of `DefaultConversionService.addDefaultConverters(ConverterRegistry)`
`static GenericConversionService` | `createDefaultConversionService()` Deprecated. in Spring 3.1 in favor of `DefaultConversionService.DefaultConversionService()`
`static void` | `registerConverters(java.util.Set<?> converters, ConverterRegistry registry)` Register the given Converter objects with the given target ConverterRegistry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversionServiceFactory

    public ConversionServiceFactory()

Method Detail

### registerConverters

    public static void registerConverters(java.util.Set<?> converters,
                                          ConverterRegistry registry)

  Register the given Converter objects with the given target ConverterRegistry.

  Parameters:
    `converters` - the converter objects: implementing `Converter`, `ConverterFactory`, or `GenericConverter`
    `registry` - the target registry

### createDefaultConversionService

    public static GenericConversionService createDefaultConversionService()

  Deprecated. in Spring 3.1 in favor of `DefaultConversionService.DefaultConversionService()`

  Create a new default GenericConversionService instance that can be safely modified.

### addDefaultConverters

    public static void addDefaultConverters(GenericConversionService conversionService)

  Deprecated. in Spring 3.1 in favor of `DefaultConversionService.addDefaultConverters(ConverterRegistry)`

  Populate the given GenericConversionService instance with the set of default converters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD